Bug 448416 - /sbin/mkinitrd contains non-professional language
Summary: /sbin/mkinitrd contains non-professional language
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: mkinitrd
Version: 9
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Peter Jones
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-05-26 16:38 UTC by Matěj Cepl
Modified: 2018-04-11 17:55 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-02-03 10:41:59 UTC


Attachments (Terms of Use)

Description Matěj Cepl 2008-05-26 16:38:13 UTC
Description of problem:
I don't think I like this:

[matej@viklef ~]$ grep hate /sbin/mkinitrd 
    # I still hate shell.
        # I fucking hate shell. 
[matej@viklef ~]$ 

Doesn't look professional to me.

Version-Release number of selected component (if applicable):
mkinitrd-6.0.52-2.fc9.i386

How reproducible:
100%

Actual results:
see above

Expected results:
probably better to be silent, if we cannot fix bash

Comment 1 Hans de Goede 2009-02-03 10:41:59 UTC
Actually, those comments made me laugh, and if you look at the code below them they do make sense.

I'm sure if you will do a full audit you will find plenty of other places in Fedora with strong language. Closing this as notabug.


Note You need to log in before you can comment on or make changes to this bug.